org.eclipse.jetty.servlet.jmx

## Class FilterMappingMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.servlet.jmx.FilterMappingMBean

- All Implemented Interfaces:
    DynamicMBean

      public class FilterMappingMBean
      extends ObjectMBean

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `_managed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterMappingMBean(Object managedObject)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getObjectNameBasis()`

    - ### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

      `defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterMappingMBean

          public FilterMappingMBean(Object managedObject)

  - ### Method Detail

    - #### getObjectNameBasis

          public String getObjectNameBasis()

      Overrides:
        `getObjectNameBasis` in class `ObjectMBean`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.